## elycharts.js 2.1.5%2Bds

=== debian/changelog ===
elycharts.js (2.1.5+ds-5build1) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 10 Dec 2025 22:42:18 +0000

elycharts.js (2.1.5+ds-5) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster:
    + libjs-elycharts: Drop versioned constraint on libjs-jquery and
      libjs-raphael in Depends.
  * Update standards version to 4.6.0, no changes needed.
  * Apply multi-arch hints. + libjs-elycharts: Add Multi-Arch: foreign.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Tue, 22 Nov 2022 12:12:49 +0000

elycharts.js (2.1.5+ds-4) unstable; urgency=medium

  * Team upload

  [ Debian Janitor ]
  * Bump debhelper from old 9 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Bug-Database, Bug-Submit.

  [ Xavier Guimard ]
  * Bump debhelper compatibility level to 13
  * Declare compliance with policy 4.5.1
  * Add "Rules-Requires-Root: no"
  * Change section to javascript
  * Add debian/gbp.conf
  * Modernize debian/watch
  * Replace deprecated node-uglify by uglifyjs (Closes: #979914)

 -- Xavier Guimard <yadd@debian.org>  Wed, 13 Jan 2021 09:45:34 +0100

elycharts.js (2.1.5+ds-3) unstable; urgency=medium

  * Transition to salsa
  * Use https in homepage field
  * Update copyright file
  * Update watch file
  * Update standards-version

 -- Andreas Moog <andreas.moog@warperbbs.de>  Sun, 04 Feb 2018 19:24:24 +0100

elycharts.js (2.1.5+ds-2) unstable; urgency=medium

  * debian/control:
    - loosen dependencies on jquery and raphael, the package doesn't need
      the latest version. (Closes: #761194)

 -- Andreas Moog <andreas.moog@warperbbs.de>  Sun, 04 Feb 2018 18:22:25 +0100

elycharts.js (2.1.5+ds-1) unstable; urgency=medium

  * Initial release (Closes: #760166)

 -- Andreas Moog <andreas.moog@warperbbs.de>  Wed, 03 Sep 2014 22:20:24 +0200
