## elycharts.js 2.1.5+ds

=== debian/control ===
Source: elycharts.js
Priority: optional
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: Andreas Moog <andreas.moog@warperbbs.de>
Build-Depends: debhelper-compat (= 13), uglifyjs
Standards-Version: 4.6.0
Section: javascript
Homepage: https://elycharts.com
Vcs-Git: https://salsa.debian.org/js-team/elycharts.js.git
Vcs-Browser: https://salsa.debian.org/js-team/elycharts.js
Rules-Requires-Root: no

Package: libjs-elycharts
Architecture: all
Depends: libjs-jquery, libjs-raphael, ${misc:Depends}
Recommends: javascript-common
Multi-Arch: foreign
Description: Javascript library to generate static and interactive charts
 This javascript library is used to generate static and interactive charts. It
 supports dynamic data modification, allows for mouse tracking and highlighting
 of specific parts in the chart. It also includes a variety of animations and
 transformations to show the chart evolution.
