=== debian/watch ===
# Google code no longer offers downloads. The purpose of this watch file is
# only to flag new versions not to download the new source package. The
# download URL will return a 404 and uscan will stop.
#
# Watchfile based on work by Stuart Prescott <stuart@debian.org>
version=4
opts=uversionmangle=s/\///,dversionmangle=auto,filenamemangle=s/.+\/?(\d\S+)\.tar\.gz/elycharts-$1\.tar\.gz/ \
  https://github.com/voidlabs/elycharts/tags .*/?(\d\.\d\.\d)\.tar\.gz
